Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 607622 - a new sparc machine is needed: catbus.sparc.dev.gentoo.org
Summary: a new sparc machine is needed: catbus.sparc.dev.gentoo.org
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Foundation
Classification: Unclassified
Component: Proposals (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Board of Trustees
URL:
Whiteboard: vote: 4 yay / 1 pending PASSES financ...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-29 12:09 UTC by Agostino Sarubbo
Modified: 2021-08-22 23:02 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
proposal (sparc-proposal.pdf,32.71 KB, application/pdf)
2019-07-10 19:59 UTC, Matt Turner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-01-29 12:09:09 UTC
This was discussed a bit on #gentoo-infra

Actually we have bender (https://wiki.gentoo.org/wiki/Project:Infrastructure/Developer_Machines/sparc) which has some strange behavior and it seems broken.

We need a new sparc machine to compile and test packages.
The bug was opened for tracking purpose.
CC'ing Jorge as he found something useful on ebay.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2017-01-29 16:45:16 UTC
I have two Sun Fire V240 here at home. If someone could sponsor the hosting I'd give Gentoo one as permanent loan.
Comment 2 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2017-01-30 00:09:49 UTC
@polynomial-C:
where is "Home" in this case, so we can figure out potential transportation costs.
Also how much power does one of those draw?
Comment 3 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2017-01-30 00:37:38 UTC
https://wiki.gentoo.org/wiki/Project:Infrastructure/Developer_Machines

bender is a T2000, with a UltraSPARC T1 processor. AFAIK, the v240 are UltraSPARC IIIi, so this would be a "downgrade". I still have a 280R, but it stopped working a long time ago.

http://www.ebay.com/itm/SUN-Microsystems-Netra-T2000-Octa-Core-1-2Ghz-32GB-8x-4GB-DC-Power-Oracle-/201388040671?hash=item2ee3a9a1df:g:-gYAAOSw9N1VnCxb
http://www.ebay.com/itm/SUN-Microsystems-Netra-T2000-Octa-Core-1-2Ghz-32GB-DC-Power-Oracle-/171915108499?hash=item2806f06093:g:-gYAAOSw9N1VnCxb
http://www.ebay.com/itm/Netra-Sun-T2000-8-Core-1-2Ghz-4x146GB-32GB-RAM-DC-Power-Oracle-/122297339995?hash=item1c797d505b:g:jBcAAOSwnHZYa~0-

The above are just 3 examples of T2000 currently at sale in ebay. The other day I had seen a few from Germany, so it might be possible to find an option in ebay.

In any case, as discussed in #-infra the other day, before we start looking for a new sparc system, we should ensure we have a sparc team to use it. If we do, we can also try asking oracle if there's any chance of getting a sponsored system or a "special deal".
Comment 4 Rolf Eike Beer archtester 2017-03-02 17:02:04 UTC
You should probably look for a newer machine, e.g. T5120 it T5220. I just bought a T5120 for 259€ in Germany to replace my broken V240.
Comment 5 Agostino Sarubbo gentoo-dev 2017-05-05 12:46:34 UTC
any news here?
Comment 6 David Abbott gentoo-dev 2017-05-21 19:43:18 UTC
Once you figure out the machine and hosting with @infra, next step is to fill out a funding request [1]. We have approved almost every request.

[1] https://wiki.gentoo.org/wiki/Foundation:Funding_Request
Comment 7 Brendan Horan 2017-07-17 10:54:28 UTC
Still blocked on H/W ?
I have a T5120 I may look at donating, still thinking.
Comment 8 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2017-07-17 22:22:59 UTC
<hat type="treasurer">
Could somebody please put together proposal to buy a used SPARC M5 or newer? The T5120 we're talking about here is 10-year-old tech.

What worries me is that a 10-year-old server is much more likely to fail than something half the age, and generally harder to find parts for.

What's also needed is somebody that is willing to commit to ensure the new server is set up, and doesn't sit idle before being available for dev usage.
</hat>
Comment 9 Matt Turner gentoo-dev 2017-07-19 09:12:49 UTC
I've contacted Oracle to see if they'd be willing to donate hardware to the Gentoo Foundation. I'll update when I hear something.
Comment 10 Joshua Kinard gentoo-dev 2017-07-19 10:38:28 UTC
I have an old SunFire V240 shitting on a shelf.  IIRC, it's ~2x UltraSparc-IIIi CPUs with either 4GB or 8GB (I think 8GB) RAM, dual power supplies, and takes 2x FibreChannel disks internally.  I'd just need shipping costs covered to wherever it would need to go and any special handling tips, as I've never shipped a machine this large before.

I haven't powered it up in at least a few years.  I recall that to boot off of CD-ROM, it needed a PROM update, but I discovered this literally 2-3 days after the Oracle acquisition of Sun and subsequent locking down of SunSolve, so I never could get the PROM.  And netbooting Sparc machines was never as easy as SGI systems, so it lacks an operating system.  I don't know/remember if there is anything on the disks, but I'll have to hold onto those because I don't have anything else that can talk FibreChannel to check them.

I also have the mounting rails for rack installation.  A bit dusty, so might need some new grease.
Comment 12 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2017-10-22 20:01:31 UTC
Repost of comment #11 without the spam link:

Nico Bareto 2017-10-09 12:53:20 UTC
Great. Any news from Oracle? Otherwise that old SunFire should be enough.
Comment 13 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2017-10-22 21:51:22 UTC
Re-assigning to sparc team, since the trustees have not heard any input since July.

As per comment #8, please submit a proposal to buy some much newer hardware (like an M5), and detail who will handle the setup/Gentoo install on it. It would probably be shipping directly from the seller to OSL, and paid directly by the Foundation (prefer not the reimbursement path, because the amount is likely to be substantial).
Comment 14 Dani Novak 2017-12-04 12:21:35 UTC
I have a couple of T5120 machines here, you're welcome to the use of one of them (either - just let me know which).  Unfortunately, they are hosted on a (dedicated) ADSL line at the moment but it's stable and access can be provided to ILOM.

#1 is already setup and has been running nicely, it also has the most RAM installed at the moment - so I don't mind adding a couple of extra SAS disks to it solely for Gentoo use.

The specs are:

#1) SPARC Enterprise T5120
16GB RAM
OBP 4.30.2.b
ILOM v3.0.3.20.e, r46064
Hypervisor 1.7.2.a
2 x 146GB SAS

Tested and currently running Debian

#2) SPARC Enterprise T5120
8GB RAM (IIRC)
OBP 4.28.0
Hypervisor 1.6.0.b
2 x 146GB SAS

No system installed, was working last time I checked
Comment 15 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2017-12-06 21:47:28 UTC
Is there ANYBODY from the sparc team that is going to respond to this?
Oracle never responded, so I think it should just move forward.

Sparc T4's (2011 or newer) are $1k-$2k on Ebay.
Sparc T5's (2013 or newer) are $5k-$10k on Ebay.

I think that the T5's around $5-6k is the most that the Foundation will probably spend, and you might be better offer getting more cores in a slightly older T4.

Regardless, this STILL needs a dev to champion it and do the initial Gentoo install on this machine (OSL seems unlikely to have the manpower).

3 pieces to the plan:
- Purchasing & shipping to Gentoo Dev
- Extra parts (SAS/SSD drives, RAM)
- Reshipping to OSL
Comment 16 Rolf Eike Beer archtester 2017-12-06 22:16:32 UTC
I think this could even be simplified a bit as the machine should be able to netboot and should have a service processor (likely one with a SSH port, at least the T5120 has one). So if the passwords are reset to defaults (either before shipping or with freely available instructions) then the installation can be done on-site and it only needs to be shipped once. The only other requirement is access to a TFTP server. Since the machine will likely not have VGA port anyway the presence on site isn't really helping a lot anyway.
Comment 17 SpanKY gentoo-dev 2018-01-21 02:52:20 UTC
what is the status of bender ?  was it just a HDD failure ?  was it replaced/rebooted ?  the console isn't reachable atm from dev.g.o.
Comment 18 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2018-01-21 19:10:55 UTC
(In reply to SpanKY from comment #17)
> what is the status of bender ?  was it just a HDD failure ?  was it
> replaced/rebooted ?  the console isn't reachable atm from dev.g.o.

Did you not get my email response?

Date: 19 Jan 2018 22:58:52 +0000
Message-ID: <robbat2-20180119T224645-932527620Z@orbis-terrarum.net>
From: "Robin H. Johnson" <robbat2@gentoo.org>
To: infra@gentoo.org, sparc@gentoo.org
Subject: Re: bender afk

The email shows how to get to the ALOM login via woodpecker SSH, but I don't have any credentials for the ALOM (just like guppy.ia64...).
Comment 19 SpanKY gentoo-dev 2018-01-22 19:39:20 UTC
(In reply to Robin Johnson from comment #18)

i saw Sergei's response, but not yours.  guess i'm not on that alias.

i have the AOLM details, just not the updated ssh/telnet stuff.  you can copy them from my ~vapier/systems/bender.sparc.dev.gentoo.org file on dev.g.o.
Comment 20 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2018-01-22 20:35:07 UTC
(In reply to SpanKY from comment #19)
> (In reply to Robin Johnson from comment #18)
> 
> i saw Sergei's response, but not yours.  guess i'm not on that alias.
> 
> i have the AOLM details, just not the updated ssh/telnet stuff.  you can
> copy them from my ~vapier/systems/bender.sparc.dev.gentoo.org file on
> dev.g.o.

I forward you the mail for SSH details, but the password in that file does NOT work.
Comment 21 seraph@xs4all.nl 2018-01-26 22:34:28 UTC
I have two T2000s I'd be willing to donate, if there is any interest for them.  They work fine, but the things are too noisy to keep around at home. :-) These things have ILOM that be administered remotely through ssh.

If any help is needed managing Sun hardware, I have more than ten years experience with it professionally, and have done more than a few Gentoo installs on them as a hobby.

I'm based in the Netherlands.
Comment 22 Jack Morgan (RETIRED) gentoo-dev 2018-09-23 17:12:26 UTC
Gentoo currently has a Sun T2000 at Oregon State Open Source lab. It needs to be re-installed as all the hardware is working fine. 
In addition, I've added a 2nd Sun T2000 at OSUOSL. It has already been installed and just needs to be booted up. I've not had time to finish working on it and will ask for help from Ben (iamben). 

Moving forward, we will need someone to take over maintaining these servers as the Infra team doesn't manage developer systems. 

Thanks
Comment 23 Matt Turner gentoo-dev 2018-11-11 19:14:25 UTC
(In reply to Robin Johnson from comment #15)
> Is there ANYBODY from the sparc team that is going to respond to this?
> Oracle never responded, so I think it should just move forward.
> 
> Sparc T4's (2011 or newer) are $1k-$2k on Ebay.
> Sparc T5's (2013 or newer) are $5k-$10k on Ebay.
> 
> I think that the T5's around $5-6k is the most that the Foundation will
> probably spend, and you might be better offer getting more cores in a
> slightly older T4.
> 
> Regardless, this STILL needs a dev to champion it and do the initial Gentoo
> install on this machine (OSL seems unlikely to have the manpower).
> 
> 3 pieces to the plan:
> - Purchasing & shipping to Gentoo Dev
> - Extra parts (SAS/SSD drives, RAM)
> - Reshipping to OSL

I could probably handle this after the start of the new year. I'm in Oregon not terribly far from OSUOSL. Looks like SPARC T5-2s are now about half of that price (~$2500 for a dual-socket 16-core configuration).

I suppose the thing to do is make a proposal to trustees and then perhaps wait for a good deal on eBay.
Comment 24 Ben Kohler gentoo-dev 2019-06-04 15:27:06 UTC
I have a T4-1 at home and have been testing gentoo on it for several months.  In real world usage it appears to be 5x to 10x as fast as the T2000 systems we have now.  One can be had for $400-$600 on ebay, with 64 CPU threads (8c x 8t) & 128G memory.

Since I have one at home already figured out, I'd be willing and able to do the setup on a new one for gentoo.

I would imagine setup is very similar on T5-* though, if we wanted to go even newer.
Comment 25 Agostino Sarubbo gentoo-dev 2019-06-04 17:14:07 UTC
(In reply to Ben Kohler from comment #24)
> I have a T4-1 at home and have been testing gentoo on it for several months.
> In real world usage it appears to be 5x to 10x as fast as the T2000 systems
> we have now.  One can be had for $400-$600 on ebay, with 64 CPU threads (8c
> x 8t) & 128G memory.
> 
> Since I have one at home already figured out, I'd be willing and able to do
> the setup on a new one for gentoo.
> 
> I would imagine setup is very similar on T5-* though, if we wanted to go
> even newer.

this is fine for me. Could you send the same text to trustees and put sparc@ in cc?
Thanks
Comment 26 Matt Turner gentoo-dev 2019-07-10 19:18:12 UTC
Proposal sent to the trustees.
Comment 27 Matt Turner gentoo-dev 2019-07-10 19:59:26 UTC
Created attachment 582482 [details]
proposal

Attaching the proposal here as well, per robbat2's request.
Comment 28 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2019-07-11 20:18:21 UTC
(In reply to Matt Turner from comment #27)
> Created attachment 582482 [details]
> proposal
> 
> Attaching the proposal here as well, per robbat2's request.

mattst88:
some questions:
1. Can you do remote install, e.g. if this was direct-shipped to OSUOSL?
2. Are there other upgrades you might want in the system? e.g. SSDs?

b-man:
the shipping costs within the US, listed on Ebay with OSL at the destination zipcode range from free to $180USD.
Comment 29 Matt Turner gentoo-dev 2019-07-11 20:45:14 UTC
(In reply to Robin Johnson from comment #28)
> (In reply to Matt Turner from comment #27)
> > Created attachment 582482 [details]
> > proposal
> > 
> > Attaching the proposal here as well, per robbat2's request.
> 
> mattst88:
> some questions:
> 1. Can you do remote install, e.g. if this was direct-shipped to OSUOSL?

I believe so. Ben can probably confirm whether it's possible with his T4. I would assume serial console + someone popping a CD in the drive would be enough.

Worst case: I drive down to OSUOSL and do the install there. Shipping it directly to OSUOSL provides a reasonable possibility of avoiding the drive, so that makes a lot of sense to me.

> 2. Are there other upgrades you might want in the system? e.g. SSDs?

All the systems I listed have a pair of drives, so we wouldn't *need* anything else. I suspect the drives that come with it will be sufficient* (and I plan to RAID-1 them). As far as I know there aren't any upgrades worth doing. They've all got disks, a DVD drive, RAM, CPU/s, networking built-in, and power supplies and perhaps most importantly rackmount equipment. My hope and expectation is that we don't spend more than the buy-it-now price to get the system in good working order.

* Annoyingly lots of second-hand servers don't have enough actual drive trays to install additional disks, so I think it's reasonable to at least wait until we have the system in hand and see how many drive trays it has before we spend money on disks that aren't strictly necessary. In the photos of the systems you can read "Filler" on some of the installed drive trays, for instance.

> b-man:
> the shipping costs within the US, listed on Ebay with OSL at the destination
> zipcode range from free to $180USD.

The T5s and the T4-1 show as free shipping for me and the T4-2 shows as $158 shipping (which I added with the buy-it-now price and rounded to arrive at the $1650 number).
Comment 30 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-07-11 21:00:09 UTC
Thank you, Matt.

@Trustees,

Please vote on:

1. The direct purchase of a server from eBay with shipment directly to OSUOSL
(yay or nay)

2. Authorize the purchase not to exceed one of the following values:

a. $3320
b. $3000
c. $1650
d. $700
Comment 31 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-07-11 21:00:55 UTC
(In reply to Aaron Bauman from comment #30)
> Thank you, Matt.
> 
> @Trustees,
> 
> Please vote on:
> 
> 1. The direct purchase of a server from eBay with shipment directly to OSUOSL
> (yay or nay)
> 
> 2. Authorize the purchase not to exceed one of the following values:
> 
> a. $3320
> b. $3000
> c. $1650
> d. $700

My vote:

1. yay
2. $3320
Comment 32 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2019-07-11 21:03:01 UTC
My vote:

1. yay
2. $3320
Comment 33 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2019-07-11 21:08:57 UTC
(In reply to Aaron Bauman from comment #30)
> 1. The direct purchase of a server from eBay with shipment directly to OSUOSL
> (yay or nay)
yay.

> 2. Authorize the purchase not to exceed one of the following values:
> a. $3320
> b. $3000
> c. $1650
> d. $700

e. $4000 

Specifically I approve a higher value such that we can include insurance on the shipping if needed.
Comment 34 Ben Kohler gentoo-dev 2019-07-11 21:25:43 UTC
(In reply to Matt Turner from comment #29)
> (In reply to Robin Johnson from comment #28)
> > (In reply to Matt Turner from comment #27)
> > > Created attachment 582482 [details]
> > > proposal
> > > 
> > > Attaching the proposal here as well, per robbat2's request.
> > 
> > mattst88:
> > some questions:
> > 1. Can you do remote install, e.g. if this was direct-shipped to OSUOSL?
> 
> I believe so. Ben can probably confirm whether it's possible with his T4. I
> would assume serial console + someone popping a CD in the drive would be
> enough.
> 
If they can download/burn/load one of our current installcds, and connect serial and/or net management port, we can do a remote install.

I have firsthand experience with the net management way-- NET MGT port connected via ethernet, with dynamic IP assigned via DHCP, accessible by standard ssh client with known default user/pass.

I can track down a usb-serial cable in the next few days and get details on the pure serial console method as well.
Comment 35 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-07-11 21:26:40 UTC
(In reply to Robin Johnson from comment #33)
> (In reply to Aaron Bauman from comment #30)
> > 1. The direct purchase of a server from eBay with shipment directly to OSUOSL
> > (yay or nay)
> yay.
> 
> > 2. Authorize the purchase not to exceed one of the following values:
> > a. $3320
> > b. $3000
> > c. $1650
> > d. $700
> 
> e. $4000 
> 
> Specifically I approve a higher value such that we can include insurance on
> the shipping if needed.

Concur with $4000
Comment 36 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2019-07-11 21:55:01 UTC
/trustee hat on


voting for
e. $4000 (for a ($3320+ + shipping + insurance)

/trustee hat off
Comment 37 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-07-11 22:23:05 UTC
Majority vote in favor of the purchase with a limit of $4000.

Robin, please proceed with purchase.
Comment 38 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-07-11 22:27:38 UTC
re-assigning to trustees for purchase and financial tracking.
Comment 39 Matt Turner gentoo-dev 2019-07-11 23:41:40 UTC
Excellent. Thank you.

Please just let me know what I should do (if anything) to proceed.
Comment 40 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2019-07-12 00:05:44 UTC
(In reply to Aaron Bauman from comment #35)
> (In reply to Robin Johnson from comment #33)
> > (In reply to Aaron Bauman from comment #30)
> > > 1. The direct purchase of a server from eBay with shipment directly to OSUOSL
> > > (yay or nay)
> > yay.
> > 
> > > 2. Authorize the purchase not to exceed one of the following values:
> > > a. $3320
> > > b. $3000
> > > c. $1650
> > > d. $700
> > 
> > e. $4000 
> > 
> > Specifically I approve a higher value such that we can include insurance on
> > the shipping if needed.
> 
> Concur with $4000

I also vote for $4000.

-A
Comment 41 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2019-07-12 16:54:39 UTC
This order has been placed now.

Tentatively should arrive at OSUOSL by July 22nd, but I don't have any tracking details until it rolls out.
Comment 42 Matt Turner gentoo-dev 2019-09-14 05:38:40 UTC
catbus.sparc.dev.gentoo.org is up and running!

Thank you, Trustees!